Package com.dropbox.core.v2.files
Class ListRevisionsBuilder
java.lang.Object
com.dropbox.core.v2.files.ListRevisionsBuilder
The request builder returned by
DbxUserFilesRequests.listRevisionsBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withBeforeRev(String beforeRev) Set value for optional field.Set value for optional field.withMode(ListRevisionsMode mode) Set value for optional field.
-
Method Details
-
withMode
Set value for optional field.If left unset or set to
null, defaults toListRevisionsMode.PATH.- Parameters:
mode- Determines the behavior of the API in listing the revisions for a given file path or id. Must not benull. Defaults toListRevisionsMode.PATHwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withLimit
Set value for optional field.If left unset or set to
null, defaults to10L.- Parameters:
limit- The maximum number of revision entries returned. Must be greater than or equal to 1 and be less than or equal to 100. Defaults to10Lwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withBeforeRev
Set value for optional field.- Parameters:
beforeRev- If set, ListRevisions will only return revisions prior to before_rev. Can be set using the last revision from a previous call to list_revisions to fetch the next page of revisions. Only supported in path mode. Must have length of at least 9 and match pattern "[0-9a-f]+".- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.
-